﻿$ErrorActionPreference = 'Stop'

$toolsDir = Split-Path $MyInvocation.MyCommand.Definition
$embedded_path = Get-Item "$toolsDir\gzip-1.3.12-1-bin.zip"

$packageArgs = @{
    PackageName  = 'gzip'
    FileFullPath = $embedded_path
    Destination  = $toolsDir
}
Get-ChildItem $toolsDir\* | Where-Object { $_.PSISContainer } | Remove-Item -Recurse -Force #remove older package dirs
Get-ChocolateyUnzip @packageArgs

Remove-Item $toolsDir\*.zip -ea 0